Skip to main content
POST
/
v1
/
instagram
/
search
curl --request POST \ --url https://api.socq.ai/v1/instagram/search \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "query": "instagram", "results_limit": 20 } '
{
  "code": 200,
  "data": {
    "task_id": "A1B2C3D4E5F6G7H8",
    "status": "queued",
    "created_time": "2023-11-07T05:31:56Z"
  }
}
{
  "code": 123,
  "error": {
    "message": "<string>",
    "type": "<string>"
  }
}
{
  "code": 123,
  "error": {
    "message": "<string>",
    "type": "<string>"
  }
}
{
  "code": 123,
  "error": {
    "message": "<string>",
    "type": "<string>"
  }
}

Instagram Search

Search public Instagram profiles for username and creator discovery workflows.

Endpoint

POST https://api.socq.ai/v1/instagram/search

Request Body

{
  "query": "instagram",
  "results_limit": 20
}

Result Item

After the task succeeds, call GET /v1/tasks/{task_id} to read paginated profile records under results.
{
  "id": "25025320",
  "platform": "instagram",
  "resource": "search",
  "type": "profile",
  "username": "instagram",
  "name": "Instagram",
  "url": "https://www.instagram.com/instagram",
  "avatar_url": "https://example.com/avatar.jpg",
  "bio": "Discover what's next on Instagram",
  "is_verified": true,
  "is_private": false,
  "metrics": {
    "followers_count": 685829413,
    "following_count": 251,
    "posts_count": 8000
  },
  "created_at": null,
  "collected_at": "2026-07-08T08:59:45",
  "extra": {}
}
query is searched as a public profile/user keyword. results_limit controls the maximum number of profile search results.

Response

{
  "code": 200,
  "data": {
    "task_id": "A1B2C3D4E5F6G7H8",
    "status": "queued",
    "created_time": "2026-07-08T10:30:00"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
urls
string[]

Array of public URLs to collect.

usernames
string[]

Array of public usernames to collect.

query
string

Search query

results_limit
integer

Maximum number of results to collect

Required range: x >= 1
callback_url
string

Optional callback URL

Response

Task submitted

code
integer
Example:

200

data
object